init python:
    def predicate():
        return renpy.get_screen(
                    [
                        "galleryheader",
                        "rewatchgirlselectscreen",
                        "robgallery",
                        "miagallery",
                        "lilgallery",
                        "norgallery",
                        "groupgallery",
                    ]
        ) is not None

    def create_prop(name):
        def getter(self):
            if predicate():
                return True
            return self.__dict__[name]

        def setter(self, value):
            self.__dict__[name] = value
        return property(getter, setter)
    quest.is_done = create_prop("is_done")
    robinscene.watched = create_prop("watched")

    def create_patch(object_):
        original_getitem = object_.__getitem__
        def getitem_patch(self, name):
            if name == u"replaybookacq" or predicate() and u"watched" in name:
                return True
            return original_getitem(self, name)
        object_.__getitem__ = getitem_patch

    create_patch(renpy.python.StoreDict)
    create_patch(renpy.python.RevertableDict)
